KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# GeoDataGeometry Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataObject → Marble.GeoNode
Subclasses: Marble.GeoDataPolygon
Namespace: Marble

## Detailed Description

A base class for all geodata features

GeoDataGeometry is the base class for most geodata classes that deal with geometric data (points, linestrings, polygons, etc.)

See also:
  GeoDataLineString

See also:
  GeoDataLinearRing

See also:
  GeoDataPolygon

## Methods
| __init__ (self, Marble.GeoDataObject parent=0)
| __init__ (self, Marble.GeoDataGeometry other)
Marble.AltitudeMode | altitudeMode (self)
bool | extrude (self)
EnumGeometryId | geometryId (self)
bool | isFolder (self)
| pack (self, QDataStream stream)
| setAltitudeMode (self, Marble.AltitudeMode altitudeMode)
| setExtrude (self, bool extrude)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( | self, |
|  | Marble.GeoDataObject | parent=0
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataGeometry | other
| ) |  |  |

Marble.AltitudeMode altitudeMode | ( |  | self ) |

bool extrude | ( |  | self ) |

EnumGeometryId geometryId | ( |  | self ) |

bool isFolder | ( |  | self ) |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Serialize the contents of the feature to stream.

setAltitudeMode | ( | self, |
|  | Marble.AltitudeMode | altitudeMode
| ) |  |  |

setExtrude | ( | self, |
|  | bool | extrude
| ) |  |  |

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Unserialize the contents of the feature from stream.